org.apache.sling.scripting.freemarker.internal

## Class AdaptToMethod

- java.lang.Object
- - org.apache.sling.scripting.freemarker.internal.AdaptToMethod

All Implemented Interfaces:
  freemarker.template.TemplateMethodModel, freemarker.template.TemplateMethodModelEx, freemarker.template.TemplateModel

    public class AdaptToMethod
    extends Object
    implements freemarker.template.TemplateMethodModelEx

### Field Summary

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Constructor Summary

Constructors
Constructor and Description
`AdaptToMethod()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `exec(List arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AdaptToMethod

    public AdaptToMethod()

### Method Detail

#### exec

    public Object exec(List arguments)
                throws freemarker.template.TemplateModelException

Specified by:
  `exec` in interface `freemarker.template.TemplateMethodModel`
Specified by:
  `exec` in interface `freemarker.template.TemplateMethodModelEx`
Throws:
  `freemarker.template.TemplateModelException`